std::recursive_mutex(3)

NAME
std::recursive_mutex -

SYNOPSIS

Inherits std::__recursive_mutex_base.

  Public Types
typedef __native_type * native_handle_type

  Public Member Functions
recursive_mutex (const recursive_mutex &)=delete
void lock ()
native_handle_type native_handle ()
recursive_mutex & operator= (const recursive_mutex &)=delete
bool try_lock () noexcept
void unlock ()

  Private Types
typedef __gthread_recursive_mutex_t __native_type

  Private Attributes
__native_type _M_mutex

Detailed Description

recursive_mutex

Definition at line 161 of file mutex.

Author

Generated automatically by Doxygen for libstdc++ from the source code.